Subject: bug#6800: 23.1; EOT / ^D inserted into comint input string

From: Stefan Monnier <[email-masked]>
Date: Sat, 11 Sep 2010 16:01:05 +0200

> When an input longer than 255 characters is typed into comint (or
> shell) an EOT character (ascii 4, ^D) is inserted into the string.
> This can cause an error depending how the sub process handles these
> extra characters.  For example, GHC doesn't like it when an EOT
> appears inside of a string:

I believe this bug is fixed on the Emacs trunk (to become Emacs-24), but
the fix may introduce other problems.  Apparently nobody knows how to
fix it right and there is about as much as no documentation at all on
this part of the behavior of ttys.

        Stefan